Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface CharacterData

All Superinterfaces:
  Node

All Known Subinterfaces:
  CDATASection, Comment, Text

public interface CharacterData
extends Node

The `CharacterData` interface extends Node with a set of attributes and methods for accessing character data in the DOM. For clarity this set is defined here rather than on each object that uses these attributes and methods. No DOM objects correspond directly to `CharacterData`, though `Text` and others do inherit the interface from it. All `offset`s in this interface start from 0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `appendData(java.lang.String arg)` Append the string to the end of the character data of the node.
`void` | `deleteData(int offset, int count)` Remove a range of characters from the node.
`java.lang.String` | `getData()` The character data of the node that implements this interface.
`int` | `getLength()` The number of characters that are available through `data` and the `substringData` method below.
`void` | `insertData(int offset, java.lang.String arg)` Insert a string at the specified character offset.
`void` | `replaceData(int offset, int count, java.lang.String arg)` Replace the characters starting at the specified character offset with the specified string.
`void` | `setData(java.lang.String data)`
`java.lang.String` | `substringData(int offset, int count)` Extracts a range of data from the node.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Method Detail

### getData

    public java.lang.String getData()
                             throws DOMException

  The character data of the node that implements this interface. The DOM implementation may not put arbitrary limits on the amount of data that may be stored in a `CharacterData` node. However, implementation limits may mean that the entirety of a node's data may not fit into a single `DOMString`. In such cases, the user may call `substringData` to retrieve the data in appropriately sized pieces.
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    `DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

### setData

    public void setData(java.lang.String data)
                 throws DOMException

### getLength

    public int getLength()

  The number of characters that are available through `data` and the `substringData` method below. This may have the value zero, i.e., `CharacterData` nodes may be empty.

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws DOMException

  Extracts a range of data from the node.
  Parameters:
    `offset` - Start offset of substring to extract.
    `count` - The number of characters to extract.
  Returns:
    The specified substring. If the sum of `offset` and `count` exceeds the `length`, then all characters to the end of the data are returned.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data`, or if the specified `count` is negative.
    DOMSTRING_SIZE_ERR: Raised if the specified range of text does not fit into a `DOMString`.

### appendData

    public void appendData(java.lang.String arg)
                    throws DOMException

  Append the string to the end of the character data of the node. Upon success, `data` provides access to the concatenation of `data` and the `DOMString` specified.
  Parameters:
    `arg` - The `DOMString` to append.
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws DOMException

  Insert a string at the specified character offset.
  Parameters:
    `offset` - The character offset at which to insert.
    `arg` - The `DOMString` to insert.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data`.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws DOMException

  Remove a range of characters from the node. Upon success, `data` and `length` reflect the change.
  Parameters:
    `offset` - The offset from which to remove characters.
    `count` - The number of characters to delete. If the sum of `offset` and `count` exceeds `length` then all characters from `offset` to the end of the data are deleted.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data`, or if the specified `count` is negative.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws DOMException

  Replace the characters starting at the specified character offset with the specified string.
  Parameters:
    `offset` - The offset from which to start replacing.
    `count` - The number of characters to replace. If the sum of `offset` and `count` exceeds `length` , then all characters to the end of the data are replaced (i.e., the effect is the same as a `remove` method call with the same range, followed by an `append` method invocation).
    `arg` - The `DOMString` with which the range must be replaced.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data`, or if the specified `count` is negative.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD